com.fasterxml.jackson.databind.deser.impl

## Class CreatorCandidate

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.CreatorCandidate

    public final class CreatorCandidate
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CreatorCandidate.Param`

### Field Summary

Fields
`protected AnnotatedWithParams` `_creator`
`protected AnnotationIntrospector` `_intr`
`protected int` `_paramCount`
`protected CreatorCandidate.Param[]` `_params`

### Constructor Summary

Constructors
`protected` `CreatorCandidate(AnnotationIntrospector intr, AnnotatedWithParams ct, CreatorCandidate.Param[] params, int count)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static CreatorCandidate` `construct(AnnotationIntrospector intr, AnnotatedWithParams creator, BeanPropertyDefinition[] propDefs)`
`AnnotatedWithParams` `creator()`
`PropertyName` `explicitParamName(int i)`
`PropertyName` `findImplicitParamName(int i)` Deprecated.
`int` `findOnlyParamWithoutInjectionX()` Deprecated.
`JacksonInject.Value` `injection(int i)`
`int` `paramCount()`
`AnnotatedParameter` `parameter(int i)`
`PropertyName` `paramName(int i)`
`BeanPropertyDefinition` `propertyDef(int i)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _intr

    protected final AnnotationIntrospector _intr

#### _creator

    protected final AnnotatedWithParams _creator

#### _paramCount

    protected final int _paramCount

#### _params

    protected final CreatorCandidate.Param[] _params

### Constructor Detail

#### CreatorCandidate

    protected CreatorCandidate(AnnotationIntrospector intr,
                               AnnotatedWithParams ct,
                               CreatorCandidate.Param[] params,
                               int count)

### Method Detail

#### construct

    public static CreatorCandidate construct(AnnotationIntrospector intr,
                                             AnnotatedWithParams creator,
                                             BeanPropertyDefinition[] propDefs)

#### creator

    public AnnotatedWithParams creator()

#### paramCount

    public int paramCount()

#### injection

    public JacksonInject.Value injection(int i)

#### parameter

    public AnnotatedParameter parameter(int i)

#### propertyDef

    public BeanPropertyDefinition propertyDef(int i)

#### paramName

    public PropertyName paramName(int i)

#### explicitParamName

    public PropertyName explicitParamName(int i)

#### findImplicitParamName

    @Deprecated
    public PropertyName findImplicitParamName(int i)

Deprecated.

#### findOnlyParamWithoutInjectionX

    @Deprecated
    public int findOnlyParamWithoutInjectionX()

Deprecated.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`